/*
	Ejemplo para PWM, se utiliza PWM1 en el pin No 40 MCF5212
	se configura el pin como funccion terciaria, ya que
	la primaria corresponde a GPIO0
*/

#include "mcf5213.h"



void init_pto_TA(void);
void init_clock_config (void);
void init_PWM1(unsigned char p, unsigned char d);


 int  main (void) 
	{			
		init_pto_TA();
		init_clock_config();

		init_PWM1(10,5);

		while(1)
			{
				
			}
		return 0;
	}

void init_pto_TA(void)
	{		
    		MCF_GPIO_DDRTA = 0;
	    	MCF_GPIO_PTAPAR = MCF_GPIO_PTAPAR_PTAPAR0(0x3);
	}

void init_clock_config (void)
	{
    		MCF_CLOCK_SYNCR = 0; 
	}

void init_PWM1(unsigned char p, unsigned char d)		//p = periodo   d = ciclo util

	{
    		MCF_PWM_PWMPER1 = MCF_PWM_PWMPER_PERIOD(p);
    		MCF_PWM_PWMDTY1 = MCF_PWM_PWMDTY_DUTY(d);
    		MCF_PWM_PWME = MCF_PWM_PWME_PWME1;
	}

